# Attachment Queue

This module adds async processing capabilities to attachments by implementing a new model attachment.queue that wraps attachments and stores additional information so that it can be processed in an asynchronous way.

A use case of this module can be found in the attachment_synchronize module.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

Go the menu Settings > Technical > Database Structure > Attachments Queue

You can create / see standard attachments with additional fields

Configure the batch limit for attachments that can be sync by the cron task at a go:

Settings > Technical > System parameters > attachment_queue_cron_batch_limit

image:: ../static/description/tree.png

This module can be used in combination with attachment_synchronize to control file processing workflow

image:: ../static/description/form.png

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Akretion

## Contributors

- Valentin CHEMIERE <valentin.chemiere@akretion.com>
- Florian da Costa <florian.dacosta@akretion.com>
- Angel Moya <http://angelmoya.es>
- Dan Kiplangat <dan@sunflowerweb.nl>
- Kevin Khao <kevin.khao@akretion.com>

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

Current maintainers:

This module is part of the OCA/server-tools project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.